iOS 7 De-Support

As of version 6.0 of our app, GameChanger will no longer be supported by devices running iOS 7 or lower.

Moving forward, your device must have iOS 8 or above to run the most recent version of GameChanger.

To download the latest version of GameChanger from the iTunes App Store, click here.

Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.